MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025840Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-02-17 11:392015-05-14 16:29
Reporterpkv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025840: Updating the documentation on Boolean Operations Algorithm
DescriptionUpdating the documentation on Boolean Operations Algorithm.
It is necessary to make the documentation up to date
in accordance with new functionalities
Steps To ReproduceNo need
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0038228)
git (administrator)
2015-03-10 16:05

Branch CR25840 has been created by ysn.

SHA-1: 2c89d8a23c0671646f27c3a779c460d6c5301922


Detailed log of new commits:

Author: ysn
Date: Tue Mar 10 17:04:51 2015 +0400

    Integration of modifications in Boolean Operations guide. Correction of some errors.
(0038386)
git (administrator)
2015-03-16 11:45

Branch CR25840 has been updated by ysn.

SHA-1: a55fa00c97310260adae04e530f655f78aa02f92


Detailed log of new commits:

Author: ysn
Date: Mon Mar 16 12:45:05 2015 +0400

    New iteration of modifications and improvements.

(0038691)
git (administrator)
2015-03-19 16:00

Branch CR25840 has been updated by ysn.

SHA-1: da6b97915b282625a81902dbc794b9d7d9c094c9


Detailed log of new commits:

Author: ysn
Date: Thu Mar 19 15:59:47 2015 +0300

    Small changes

(0038782)
pkv (developer)
2015-03-23 11:27

Git branch CR25840 is ready to be reviewed.
(0038786)
git (administrator)
2015-03-23 12:50

Branch CR25840 has been updated forcibly by msv.

SHA-1: c3011e623521376004b55c6a73fc61da7d3ac3b0
(0038787)
msv (developer)
2015-03-23 12:50

Rebased on current master.
(0038800)
git (administrator)
2015-03-23 18:14

Branch CR25840 has been updated by msv.

SHA-1: ffcf7f1872eaf281493fbc3df416c470e96e49d5


Detailed log of new commits:

Author: msv
Date: Mon Mar 23 18:14:36 2015 +0300

    Correction of compilation warnings, some small semantic changes.

(0038947)
msv (developer)
2015-03-27 17:12

Remarks:

- Introduction
Get rid of references to Salome.

- Boolean operator
G2={S21, S22 ... S2n1} group of arguments (Tools);
Change "S2n1" to "S2n2"

- General Fuse operator
In the formula
Bfuse (S1, S2) = Sp1+Sp2+Sp12= Rp;
Rp is not a relevant variable.

- Partition operator
1)G2={S21, S22 ... S2n1} group of arguments (Tools);
Change "S2n1" to "S2n2"
2)In the text, replace Rp with Rpa, as in formula Rpa is given as the result.
3)The text
"For example, for two arguments S1 and S2 the result RP is
RPA=PA(S1, S2) = Sp1 + Sp2 + Sp12 = GF (S1, S2)"
is wrong, as in contradicts with Rpa formula. It is better to write:
"For example, when G1 consists of shapes S1 and S2 the result of Rpa is
RPA=PA(S1, S2) = Sp1 + Sp2 + Sp12 = GF (S1, S2)"

- Vertex/Edge interference
The formula and the illustration contradict to each other. Which of them correspond to the algorithm behavior?

- Vertex/face interference
1)In the formula, Tol(Ej) must be replaced with Tol(Fj).
2)The formula and the illustration contradict to each other. Which of them correspond to the algorithm behavior?

- Face/Face Interference
The structure of bullets/indentations is messed up after the paragraph "In the second case..."

- Compute Vertex/Face Interferences
Update phrase "Append Vertex/Edge interferences in the DS", replacing Edge with Face.

- Compute Face/Face Interferences
Update phrase "Initialize array of Edge/Face interferences", replacing Edge with Face.

- Build Section Edges
Replace
"The input data for this step is the DS after building Split Edges"
with
"The input data for this step is the DS after computing Face/Face Interferences".

- Boolean Operations Algorithm
False statement:
"For Boolean operation Cut the dimension of S1 should not be less then the dimension of S2"
The correct one:
"For Boolean operation Cut the dimension of S2 should not be less then the dimension of S1"

- Results. General Rules
The statement below is under question. Cut of edge by solid is a valid operation, and not vice versa.
"The result of the operation Cut12 is defined for arguments S1 and S2 that have values of dimensions Dim(S1) that should not be less than Dim(S2). The dimension of the result is equal to the lower dimension of the arguments. The result of the operation Cut12 is not defined for other cases. For example, it is impossible to cut a solid from an edge, because a solid without an edge is not defined."

- Case 4: A Vertex abd a Solid
misprint "abd" => "and"
(0039264)
git (administrator)
2015-04-06 16:07

Branch CR25840 has been updated by ysn.

SHA-1: 01991abaaa366fe609f4571887ffdf63fbad5ead


Detailed log of new commits:

Author: ysn
Date: Mon Apr 6 16:07:32 2015 +0300

    Modifications

Author: ysn
Date: Mon Apr 6 16:03:35 2015 +0300

    More modifications.

Author: msv
Date: Mon Mar 23 18:14:36 2015 +0300

    Correction of compilation warnings, some small semantic changes.

Author: ysn
Date: Thu Mar 19 15:59:47 2015 +0300

    Small changes

Author: ysn
Date: Mon Mar 16 12:45:05 2015 +0400

    New iteration of modifications and improvements.

Author: ysn
Date: Tue Mar 10 17:04:51 2015 +0400

    Integration of modifications in Boolean Operations guide. Correction of some errors.

(0039271)
git (administrator)
2015-04-06 17:02

Branch CR25840 has been updated forcibly by msv.

SHA-1: 3969ff942e5286a9db70784cf09f244f9cf72d6f
(0039274)
git (administrator)
2015-04-06 17:37

Branch CR25840 has been updated by ysn.

SHA-1: 813e4204b93e9c184f52629a9727caef1390dab4


Detailed log of new commits:

Author: ysn
Date: Mon Apr 6 17:37:26 2015 +0300

    Modification

Author: ysn
Date: Mon Apr 6 16:07:32 2015 +0300

    Modifications

Author: msv
Date: Mon Mar 23 18:14:36 2015 +0300

    Correction of compilation warnings, some small semantic changes.

Author: ysn
Date: Thu Mar 19 15:59:47 2015 +0300

    Small changes

Author: ysn
Date: Mon Mar 16 12:45:05 2015 +0400

    New iteration of modifications and improvements.

Author: ysn
Date: Tue Mar 10 17:04:51 2015 +0400

    Integration of modifications in Boolean Operations guide. Correction of some errors.

(0039275)
git (administrator)
2015-04-06 18:16

Branch CR25840 has been updated forcibly by msv.

SHA-1: 99607489100395528a15e61033e05edab744b2e3
(0039296)
git (administrator)
2015-04-07 12:14

Branch CR25840 has been updated by ysn.

SHA-1: b39ec31f40221c1252470c8858f64a37328596dc


Detailed log of new commits:

Author: ysn
Date: Tue Apr 7 12:13:32 2015 +0300

    Modifications

(0039308)
git (administrator)
2015-04-07 14:31

Branch CR25840 has been updated by ysn.

SHA-1: 0a23b55b84aa5b536eaae177d76de0da40b30147


Detailed log of new commits:

Author: ysn
Date: Tue Apr 7 14:31:19 2015 +0300

    Modification

(0039311)
git (administrator)
2015-04-07 15:21

Branch CR25840 has been updated by ysn.

SHA-1: af130a383602afb9428ce920758233deb05fb9f1


Detailed log of new commits:

Author: ysn
Date: Tue Apr 7 15:21:16 2015 +0300

    Modification

(0039313)
msv (developer)
2015-04-07 15:41

Reviewed.
(0041003)
git (administrator)
2015-05-14 16:29

Branch CR25840 has been deleted by inv.

SHA-1: af130a383602afb9428ce920758233deb05fb9f1

- Related Changesets
occt: master e9e33e91
Timestamp: 2015-04-09 11:41:53
Author: ysn
Committer: bugmaster
Details ] Diff ]
0025840: Updating the documentation on Boolean Operations Algorithm

Integration of modifications in Boolean Operations guide. Correction of some errors.

New iteration of modifications and improvements.

Small changes

Correction of compilation warnings, some small semantic changes.

More modifications.
mod - dox/user_guides/boolean_operations/boolean_operations.md Diff ] File ]
mod - dox/user_guides/boolean_operations/images/boolean_image063.png Diff ] File ]
mod - dox/user_guides/boolean_operations/images/boolean_image064.png Diff ] File ]
mod - dox/user_guides/boolean_operations/images/boolean_image065.png Diff ] File ]
mod - dox/user_guides/boolean_operations/images/boolean_image066.png Diff ] File ]
mod - dox/user_guides/boolean_operations/images/boolean_image067.png Diff ] File ]
mod - dox/user_guides/boolean_operations/images/boolean_image068.png Diff ] File ]
mod - dox/user_guides/boolean_operations/images/boolean_image069.png Diff ] File ]
mod - dox/user_guides/boolean_operations/images/boolean_image070.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image080.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image081.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image082.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image083.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image084.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image085.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image086.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image087.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image088.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image089.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image090.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image091.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image092.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image093.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image094.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image095.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image096.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image097.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image098.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image099.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image100.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image101.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image102.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image103.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image104.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image105.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image106.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image107.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image108.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image109.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image110.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image111.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image112.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image113.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image114.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image115.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image116.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image117.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image118.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image119.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image120.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image121.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image122.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image123.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image124.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image125.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image126.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image127.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image128.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image129.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image130.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image131.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image132.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image133.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image134.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image135.png Diff ] File ]
mod - dox/user_guides/boolean_operations/images/operations_image003.svg Diff ] File ]
mod - dox/user_guides/boolean_operations/images/operations_image005.svg Diff ] File ]
mod - dox/user_guides/boolean_operations/images/operations_image007.svg Diff ] File ]
mod - dox/user_guides/boolean_operations/images/operations_image017.svg Diff ] File ]
mod - dox/user_guides/boolean_operations/images/operations_image020.svg Diff ] File ]
mod - dox/user_guides/boolean_operations/images/operations_image026.svg Diff ] File ]
mod - dox/user_guides/boolean_operations/images/operations_image053.svg Diff ] File ]
rm - dox/user_guides/boolean_operations/images/operations_image056.svg Diff ] File ]
rm - dox/user_guides/boolean_operations/images/operations_image058.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image060.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image061.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image062.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image063.png Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-17 11:39 pkv New Issue
2015-02-17 11:39 pkv Assigned To => pkv
2015-02-27 11:23 msv Status new => assigned
2015-03-10 16:05 git Note Added: 0038228
2015-03-16 11:45 git Note Added: 0038386
2015-03-19 16:00 git Note Added: 0038691
2015-03-23 11:27 pkv Status assigned => resolved
2015-03-23 11:27 pkv Note Added: 0038782
2015-03-23 11:27 pkv Assigned To pkv => msv
2015-03-23 12:50 git Note Added: 0038786
2015-03-23 12:50 msv Note Added: 0038787
2015-03-23 18:14 git Note Added: 0038800
2015-03-27 17:12 msv Note Added: 0038947
2015-03-27 17:12 msv Assigned To msv => pkv
2015-03-27 17:12 msv Status resolved => assigned
2015-04-06 16:07 git Note Added: 0039264
2015-04-06 17:02 git Note Added: 0039271
2015-04-06 17:37 git Note Added: 0039274
2015-04-06 18:16 git Note Added: 0039275
2015-04-07 12:14 git Note Added: 0039296
2015-04-07 14:31 git Note Added: 0039308
2015-04-07 15:21 git Note Added: 0039311
2015-04-07 15:40 msv Assigned To pkv => msv
2015-04-07 15:40 msv Status assigned => resolved
2015-04-07 15:41 msv Note Added: 0039313
2015-04-07 15:41 msv Assigned To msv => bugmaster
2015-04-07 15:41 msv Status resolved => reviewed
2015-04-08 17:26 bugmaster Status reviewed => tested
2015-04-09 17:01 apv Test case number => Not needed
2015-04-10 14:09 bugmaster Changeset attached => occt master e9e33e91
2015-04-10 14:09 bugmaster Status tested => verified
2015-04-10 14:09 bugmaster Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0
2015-05-14 16:29 git Note Added: 0041003


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker